<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://stateBrowse.caption"
        focusComponent="table">
    <data>
        <collection id="statesDc"
                    class="com.company.management.entity.State">
            <fetchPlan extends="_base"/>
            <loader id="statesDl">
                <query>
                    <![CDATA[select e from State e]]>
                </query>
            </loader>
        </collection>
        <instance id="stateDc"
                  class="com.company.management.entity.State">
            <fetchPlan extends="_base"/>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="save" icon="OK" caption="msg:///actions.Ok" shortcut="CTRL-ENTER"/>
        <action id="cancel" icon="CANCEL" caption="msg:///actions.Cancel" description="Esc"/>
    </actions>
    <dialogMode height="600" width="800"/>
    <layout>
        <split id="split" height="100%" orientation="horizontal" reversePosition="true" width="100%">
            <vbox id="lookupBox" expand="table" height="100%" margin="false,true,false,false" spacing="true">
                <filter id="filter" dataLoader="statesDl">
                    <properties include=".*"/>
                </filter>
                <dataGrid id="table"
                          width="100%"
                          dataContainer="statesDc">
                    <actions>
                        <action id="create" type="create"/>
                        <action id="edit" type="edit"/>
                        <action id="remove" type="remove"/>
                    </actions>
                    <columns>
                        <column property="stateName" id="stateName"/>
                        <column property="code" id="code"/>
                        <column property="description" id="description"/>
                    </columns>
                    <simplePagination/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="createBtn" action="table.create"/>
                        <button id="editBtn" action="table.edit"/>
                        <button id="removeBtn" action="table.remove"/>
                    </buttonsPanel>
                </dataGrid>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </vbox>
            <vbox id="editBox" height="100%" margin="false,false,false,true" expand="fieldGroupBox" spacing="true">
                <scrollBox id="fieldGroupBox">
                    <form id="form" dataContainer="stateDc">
                        <column width="350px">
                            <comboBox id="stateNameField" property="stateName"/>
                            <textField id="codeField" property="code"/>
                            <textField id="descriptionField" property="description"/>
                        </column>
                    </form>
                </scrollBox>
                <hbox id="actionsPane" spacing="true" visible="false">
                    <button id="saveBtn" action="save"/>
                    <button id="cancelBtn" action="cancel"/>
                </hbox>
            </vbox>
        </split>
    </layout>
</window>
